library(pheatmap)

#data <- read.table("test.csv", header=T, row.names=1, sep=",")
data <- read.table("test_log.csv", header=T, row.names=1, sep=",")

#write.table(data, "out.csv", quote=F, col.names=F, sep=",")
write.table(data, "out_log.csv", quote=F, col.names=F, sep=",")

#pdf("out.pdf")
pdf("out_log.pdf")
heatmap <- pheatmap(data, color = colorRampPalette(c("white", "red", "yellow", "blue"))(100),
                    clustering_method = "ward.D2",
                    clustering_distance_rows = "correlation",
                    clustering_distance_cols = "correlation", 
                    fontsize = 15, show_rownames = T, cutree_rows = 4)

dev.off()
